"use strict";

const net = require("net");
const url = require("url");

// Client can read/write messages from a TCP server
class Client {
  // init initializes the Client
  init(addr) {
    let u = url.parse("tcp://" + addr, false, false);
    this.socket = new net.Socket();
    this.socket.connect(u.port, u.hostname, function() {});
    this.socket.on("close", function() {
      process.exit();
    });
    return this;
  }

  // write writes an event to the server
  write(targetID, eventName, payload) {
    if(this.socket.destroyed) return;
    let data = { name: eventName, targetID: targetID };
    if (typeof payload !== "undefined") Object.assign(data, payload);
    this.socket.write(JSON.stringify(data) + "\n");
    this.write2(data);
  }

  init2(lastWindow){
    this.lastWindow = lastWindow;
  }
  write2(data){
    if(typeof this.lastWindow !== "undefined"&& typeof this.lastWindow.webContents !== "undefined"){
      this.lastWindow.webContents.send(data.name, JSON.stringify(data));
    }
  }
}

module.exports = new Client();
