#!/usr/bin/env bash
set -e
datapath="$HOME/Documents/iChainPi"
umask 0000

if [ -L $0 ]; then
    BASE_DIR=`dirname $(readlink $0)`
else
    BASE_DIR=`dirname $0`
fi
bashpath=$(cd $BASE_DIR; pwd)
cd $bashpath

startService(){
    # DongleDriver进程数量
    count=$(ps -ef | grep "$bashpath/DongleDriver" |grep -v "grep" | wc -l)
    # 不存在服务进程，则后台启动服务
    if [ $count -eq 0 ]; then
        nohup $bashpath/DongleDriver &> /dev/null &
    fi

    # Service进程数量
    count=$(ps -ef | grep "$bashpath/Service" |grep -v "grep" | wc -l)
    # 不存在服务进程，则后台启动服务
    if [ $count -eq 0 ]; then
        nohup $bashpath/Service &> /dev/null &
        ps -ef | grep "$bashpath/Launcher" | grep -v "grep" | awk '{print $2}' | xargs kill -9 &> /dev/null || true
        sleep 3s
    fi
}

stopService(){
    # 服务进程数量
    count=$(ps -ef | grep "$bashpath" | grep -v "run.sh" | grep -v "grep" | wc -l)
    # 存在进程，则去kill
    if [ $count -gt 0 ]; then
        ps -ef | grep "$bashpath" | grep -v "run.sh" | grep -v "grep" | awk '{print $2}' | xargs kill -9
    fi
}

# 创建存储目录
if [ ! -d "$datapath" ]; then
    mkdir -p "$datapath"
fi


# 结束残留进程并清理残留文件
if [ -f "$bashpath/isNewInstall" ]; then
    # 停止服务
    stopService
    set +e
    # 删除port文件
    rm -f "$bashpath/port"
    # 删除同步配置
    rm -rf "$bashpath/conf/syncthing"
    set -e
    # 修改配置文件
    $bashpath/Service -writeConf -writeDataDir="$datapath" -writeOs="uos"
    # 删除新安装标识
    rm -f "$bashpath/isNewInstall"
fi

# 启动服务
startService

# 启动Launcher
$bashpath/Launcher $1 &> /dev/null &
